import { EN_AppEntities } from '@app_consts';
import { AppBaseEntity } from './generic/app.baseentity';
import { AppBaseFilter } from './generic/app.baseentityfilter';

export class WindreamSearchToDepartment extends AppBaseEntity {
  typeName = EN_AppEntities.WindreamSearchToDepartment;
  get entitytitle(): string {  //is used for messages
    return this.entityId ? `Windream Suchkachel "${this._name}"` : 'Neue Windream Suchekachel';
  }
  windreamSearchToDepartmentId: number;
  departmentId: number;
  windreamSearchId: number;
  seq: number;
  departmentName: string;
  windreamSearchName: string;
  isActive: boolean;

  get _name(): string {
    return this.windreamSearchName;
  }

  public get entityId() {
    return this.windreamSearchToDepartmentId;
  }

  public set entityId(value) {
    this.windreamSearchToDepartmentId = value;
  }

}


export class WindreamSearchToDepartmentFilter extends AppBaseFilter {
  departmentId?: number;
  windreamSearchId?: number;
}
